Index: soclib/platform/topcells/caba-avalon-fir-nios2f/platform_desc
===================================================================
--- soclib/platform/topcells/caba-avalon-fir-nios2f/platform_desc	(revision 830)
+++ soclib/platform/topcells/caba-avalon-fir-nios2f/platform_desc	(working copy)
@@ -11,6 +11,7 @@
 	Uses('caba:vci_avalon_target_wrapper'),
 	Uses('caba:vci_avalon_initiator_wrapper'),
 	Uses('caba:vci_xcache'),
+	Uses('common:elf_file_loader'),
 	],
 	cell_size = 4,
 	plen_size = 8,
Index: soclib/platform/topcells/caba-avalon-fir-nios2f/top.cpp
===================================================================
--- soclib/platform/topcells/caba-avalon-fir-nios2f/top.cpp	(revision 830)
+++ soclib/platform/topcells/caba-avalon-fir-nios2f/top.cpp	(working copy)
@@ -134,7 +134,7 @@
 
   soclib::caba::IssWrapper<soclib::common::Nios2fIss> nios2("nios2", 0);
 
-  soclib::common::ElfLoader loader("soft/bin.soft");
+  soclib::common::BinaryFileLoader loader("soft/bin.soft");
 
   soclib::caba::VciMultiTty<vci_param> vcitty("vcitty",	IntTab(1), maptab, "vcitty", NULL);
 
Index: soclib/platform/topcells/caba-vgmn-dma-mipsel/platform_desc
===================================================================
--- soclib/platform/topcells/caba-vgmn-dma-mipsel/platform_desc	(revision 830)
+++ soclib/platform/topcells/caba-vgmn-dma-mipsel/platform_desc	(working copy)
@@ -12,6 +12,7 @@
 	Uses('caba:vci_multi_tty'),
 	Uses('caba:vci_vgmn'),
 	Uses('caba:vci_xcache'),
+	Uses('common:elf_file_loader'),
 	],
 	cell_size = 4,
 	plen_size = 9,
Index: soclib/platform/topcells/caba-vgmn-dma-mipsel/top.cpp
===================================================================
--- soclib/platform/topcells/caba-vgmn-dma-mipsel/top.cpp	(revision 830)
+++ soclib/platform/topcells/caba-vgmn-dma-mipsel/top.cpp	(working copy)
@@ -104,7 +104,7 @@
 
 	soclib::caba::IssWrapper<soclib::common::MipsElIss> mips0("mips0", 0);
 
-	soclib::common::ElfLoader loader("soft/bin.soft");
+	soclib::common::BinaryFileLoader loader("soft/bin.soft");
 	soclib::caba::VciRam<vci_param> vcimultiram0("vcimultiram0", IntTab(5), maptab, loader);
 	soclib::caba::VciRam<vci_param> vcimultiram1("vcimultiram1", IntTab(1), maptab, loader);
 	soclib::caba::VciMultiTty<vci_param> vcitty("vcitty",	IntTab(2), maptab, "vcitty0", NULL);
Index: soclib/platform/topcells/caba-vgmn-tc4200enc-mipsel/platform_desc
===================================================================
--- soclib/platform/topcells/caba-vgmn-tc4200enc-mipsel/platform_desc	(revision 830)
+++ soclib/platform/topcells/caba-vgmn-tc4200enc-mipsel/platform_desc	(working copy)
@@ -10,6 +10,7 @@
 	Uses('caba:vci_vgmn'),
 	Uses('caba:vci_xcache'),
 	Uses('caba:tc4200_enc'),
+	Uses('common:elf_file_loader'),
 	],
 	cell_size = 4,
 	plen_size = 1,
Index: soclib/platform/topcells/caba-vgmn-tc4200enc-mipsel/top.cpp
===================================================================
--- soclib/platform/topcells/caba-vgmn-tc4200enc-mipsel/top.cpp	(revision 830)
+++ soclib/platform/topcells/caba-vgmn-tc4200enc-mipsel/top.cpp	(working copy)
@@ -98,7 +98,7 @@
 
 	soclib::caba::IssWrapper<soclib::common::MipsElIss> mips0("mips0", 0);
 
-	soclib::common::ElfLoader loader("soft/bin.soft");
+	soclib::common::BinaryFileLoader loader("soft/bin.soft");
 	soclib::caba::VciRam<vci_param> vcimultiram0("vcimultiram0", IntTab(0), maptab, loader);
 	soclib::caba::VciRam<vci_param> vcimultiram1("vcimultiram1", IntTab(1), maptab, loader);
 	soclib::caba::VciMultiTty<vci_param> vcitty("vcitty",	IntTab(2), maptab, "vcitty0", NULL);
Index: soclib/platform/topcells/caba-vgmn-memcache-mipsel/platform_desc
===================================================================
--- soclib/platform/topcells/caba-vgmn-memcache-mipsel/platform_desc	(revision 830)
+++ soclib/platform/topcells/caba-vgmn-memcache-mipsel/platform_desc	(working copy)
@@ -9,6 +9,7 @@
 	Uses('caba:vci_multi_tty'),
 	Uses('caba:vci_vgmn'),
 	Uses('caba:vci_mem_cache'),
+		Uses('common:elf_file_loader'),
 	],
 	cell_size = 4,
 	plen_size = 8,
Index: soclib/platform/topcells/caba-vgmn-memcache-mipsel/top.cpp
===================================================================
--- soclib/platform/topcells/caba-vgmn-memcache-mipsel/top.cpp	(revision 830)
+++ soclib/platform/topcells/caba-vgmn-memcache-mipsel/top.cpp	(working copy)
@@ -94,7 +94,7 @@
 	// TGT 3 : memc_tgt
 	// TGT 4 : proc_tgt
 
-	soclib::common::ElfLoader loader("soft/bin.soft");
+	soclib::common::BinaryFileLoader loader("soft/bin.soft");
 
 	soclib::caba::VciCcXcacheWrapper<vci_param, proc_iss > 
 	proc("proc", 0, maptabp,maptabc,IntTab(0),IntTab(0),4,64,16,4,64,16,CLEANUP_OFFSET);
Index: soclib/platform/topcells/caba-vgmn-vcache_multi_timer-iss2_mipsel/platform_desc
===================================================================
--- soclib/platform/topcells/caba-vgmn-vcache_multi_timer-iss2_mipsel/platform_desc	(revision 830)
+++ soclib/platform/topcells/caba-vgmn-vcache_multi_timer-iss2_mipsel/platform_desc	(working copy)
@@ -10,6 +10,7 @@
 	Uses('caba:vci_multi_tty'),
 	Uses('caba:vci_timer'),
 	Uses('caba:vci_vgmn'),
+	Uses('common:elf_file_loader'),
 	],
 	cell_size = 4,
 	plen_size = 8,
Index: soclib/platform/topcells/caba-vgmn-vcache_multi_timer-iss2_mipsel/top.cpp
===================================================================
--- soclib/platform/topcells/caba-vgmn-vcache_multi_timer-iss2_mipsel/top.cpp	(revision 830)
+++ soclib/platform/topcells/caba-vgmn-vcache_multi_timer-iss2_mipsel/top.cpp	(working copy)
@@ -126,7 +126,7 @@
 	soclib::caba::VciVCacheWrapper<vci_param, soclib::common::Iss2Simhelper<soclib::common::Mips32ElIss> > cache2("cache2", 2,maptab,IntTab(2),4,4,4,16,4,4,4,16,4,64,16,4,64,16);
 	soclib::caba::VciVCacheWrapper<vci_param, soclib::common::Iss2Simhelper<soclib::common::Mips32ElIss> > cache3("cache3", 3,maptab,IntTab(3),4,4,4,16,4,4,4,16,4,64,16,4,64,16);
 
-	soclib::common::ElfLoader loader("soft/bin.soft");
+	soclib::common::BinaryFileLoader loader("soft/bin.soft");
 	soclib::caba::VciSimpleRam<vci_param> vcimultiram0("vcimultiram0", IntTab(0), maptab, loader);
 	soclib::caba::VciSimpleRam<vci_param> vcimultiram1("vcimultiram1", IntTab(1), maptab, loader);
 	soclib::caba::VciMultiTty<vci_param> vcitty("vcitty",	IntTab(2), maptab, "vcitty0", "vcitty1", "vcitty2", "vcitty3", NULL);
Index: soclib/platform/topcells/caba-vgmn-framebuffer-ppc405/platform_desc
===================================================================
--- soclib/platform/topcells/caba-vgmn-framebuffer-ppc405/platform_desc	(revision 830)
+++ soclib/platform/topcells/caba-vgmn-framebuffer-ppc405/platform_desc	(working copy)
@@ -10,6 +10,7 @@
 	Uses('caba:vci_timer'),
 	Uses('caba:vci_vgmn'),
 	Uses('caba:vci_xcache_wrapper', iss_t = 'common:ppc405'),
+	Uses('common:elf_file_loader'),
 	],
 	cell_size = 4,
 	plen_size = 9,
Index: soclib/platform/topcells/caba-vgmn-framebuffer-ppc405/top.cpp
===================================================================
--- soclib/platform/topcells/caba-vgmn-framebuffer-ppc405/top.cpp	(revision 830)
+++ soclib/platform/topcells/caba-vgmn-framebuffer-ppc405/top.cpp	(working copy)
@@ -89,7 +89,7 @@
 
 	soclib::caba::VciXcacheWrapper<vci_param, soclib::common::Ppc405Iss> cache0("cache0", 0, maptab,IntTab(0),1,8,4,1,8,4);
 
-	soclib::common::ElfLoader loader("soft/bin.soft");
+	soclib::common::BinaryFileLoader loader("soft/bin.soft");
 	soclib::caba::VciRam<vci_param> vcimultiram0("vcimultiram0", IntTab(0), maptab, loader);
 	soclib::caba::VciRam<vci_param> vcimultiram1("vcimultiram1", IntTab(1), maptab, loader);
 	soclib::caba::VciMultiTty<vci_param> vcitty("vcitty",	IntTab(2), maptab, "vcitty0", NULL);
Index: soclib/platform/topcells/tlmt-vgmn-mwmr_2_coprocessors-none/platform_desc
===================================================================
--- soclib/platform/topcells/tlmt-vgmn-mwmr_2_coprocessors-none/platform_desc	(revision 830)
+++ soclib/platform/topcells/tlmt-vgmn-mwmr_2_coprocessors-none/platform_desc	(working copy)
@@ -8,6 +8,7 @@
                         Uses('tlmt:vci_ram'),
                         Uses('tlmt:vci_mwmr_controller'),
                         Uses('tlmt:coprocessor'),
+						Uses('common:elf_file_loader'),
                         ],
                 addr_t = 'uint32_t',
                 data_t = 'uint32_t',
Index: soclib/platform/topcells/tlmt-vgmn-mwmr_2_coprocessors-none/top.cpp
===================================================================
--- soclib/platform/topcells/tlmt-vgmn-mwmr_2_coprocessors-none/top.cpp	(revision 830)
+++ soclib/platform/topcells/tlmt-vgmn-mwmr_2_coprocessors-none/top.cpp	(working copy)
@@ -70,7 +70,7 @@
   /////////////////////////////////////////////////////////////////////////////
   // RAM
   /////////////////////////////////////////////////////////////////////////////
-  soclib::common::ElfLoader loader("soft/bin.soft");
+  soclib::common::BinaryFileLoader loader("soft/bin.soft");
 
   soclib::tlmt::VciRam<vci_param> ram0("ram0", 0, IntTab(0), maptab, loader);
 
Index: soclib/platform/topcells/caba-vgmn-dhrystone-mipsel_ppc405/platform_desc
===================================================================
--- soclib/platform/topcells/caba-vgmn-dhrystone-mipsel_ppc405/platform_desc	(revision 830)
+++ soclib/platform/topcells/caba-vgmn-dhrystone-mipsel_ppc405/platform_desc	(working copy)
@@ -10,6 +10,7 @@
 	Uses('caba:vci_simhelper'),
 	Uses('caba:vci_multi_tty'),
 	Uses('caba:vci_vgmn'),
+	Uses('common:elf_file_loader'),
 	],
 	cell_size = 4,
 	plen_size = 9,
Index: soclib/platform/topcells/caba-vgmn-dhrystone-mipsel_ppc405/top.cpp
===================================================================
--- soclib/platform/topcells/caba-vgmn-dhrystone-mipsel_ppc405/top.cpp	(revision 830)
+++ soclib/platform/topcells/caba-vgmn-dhrystone-mipsel_ppc405/top.cpp	(working copy)
@@ -56,23 +56,23 @@
 	typedef soclib::caba::VciParams<4,9,32,1,1,1,8,1,1,1> vci_param;
 
 	::setenv("SOCLIB_TTY", "TERM", 1);
-	soclib::common::ElfLoader loader("soft/bin.soft");
+	soclib::common::BinaryFileLoader loader("soft/bin.soft");
 
 	// Mapping table
 
-	std::string arch_string = loader.arch();
-	if ( arch_string == "unknown" )
-		arch_string = argv[1];
-
-	std::cout << arch_string << " binary archive..." << std::endl;
+	const char *arch_string = "Unknown";
 	arch_t arch;
-	if ( arch_string == "mipsel" )
+	if ( loader.get_symbol_by_name("mips_interrupt_entry") ) {
 		arch = MIPSEL;
-	else if ( arch_string == "powerpc" || arch_string == "unknown" )
+		arch_string = "mipsel";
+	} else if ( loader.get_symbol_by_name("ppc_boot") ) {
 		arch = POWERPC;
-	else
-		throw soclib::exception::RunTimeError("Incorrect architecture: "+arch_string);
+		arch_string = "powerpc";
+	} else
+		throw soclib::exception::RunTimeError("Incorrect architecture");
 
+	std::cout << "Binary file is " << arch_string << std::endl;
+
 	soclib::common::MappingTable maptab(32, IntTab(8), IntTab(8), 0x00300000);
 
 	switch ( arch ) {
Index: soclib/platform/topcells/caba-vgmn-fd_access-mipsel/platform_desc
===================================================================
--- soclib/platform/topcells/caba-vgmn-fd_access-mipsel/platform_desc	(revision 830)
+++ soclib/platform/topcells/caba-vgmn-fd_access-mipsel/platform_desc	(working copy)
@@ -11,6 +11,7 @@
 	Uses('caba:vci_xcache'),
 	Uses('caba:vci_fd_access'),
 	Uses('caba:vci_simhelper'),
+	Uses('common:elf_file_loader'),
 	],
 	cell_size = 4,
 	plen_size = 8,
Index: soclib/platform/topcells/caba-vgmn-fd_access-mipsel/top.cpp
===================================================================
--- soclib/platform/topcells/caba-vgmn-fd_access-mipsel/top.cpp	(revision 830)
+++ soclib/platform/topcells/caba-vgmn-fd_access-mipsel/top.cpp	(working copy)
@@ -97,7 +97,7 @@
 
 	soclib::caba::IssWrapper<soclib::common::MipsElIss> mips0("mips0", 0);
 
-	soclib::common::ElfLoader loader("soft/bin.soft");
+	soclib::common::BinaryFileLoader loader("soft/bin.soft");
 	soclib::caba::VciRam<vci_param> vcimultiram0("vcimultiram0", IntTab(1), maptab, loader);
 	soclib::caba::VciRam<vci_param> vcimultiram1("vcimultiram1", IntTab(2), maptab, loader);
 	soclib::caba::VciMultiTty<vci_param> vcitty("vcitty", IntTab(3), maptab, "vcitty0", NULL);
Index: soclib/platform/topcells/caba-avalon-multi_timer-nios2f/platform_desc
===================================================================
--- soclib/platform/topcells/caba-avalon-multi_timer-nios2f/platform_desc	(revision 830)
+++ soclib/platform/topcells/caba-avalon-multi_timer-nios2f/platform_desc	(working copy)
@@ -16,6 +16,7 @@
 	Uses('caba:vci_avalon_target_wrapper'),
 	Uses('caba:vci_avalon_initiator_wrapper'),
 	Uses('caba:vci_xcache'),
+	Uses('common:elf_file_loader'),
 	],
 	cell_size = 4,
 	plen_size = 8,
Index: soclib/platform/topcells/caba-avalon-multi_timer-nios2f/top.cpp
===================================================================
--- soclib/platform/topcells/caba-avalon-multi_timer-nios2f/top.cpp	(revision 830)
+++ soclib/platform/topcells/caba-avalon-multi_timer-nios2f/top.cpp	(working copy)
@@ -170,7 +170,7 @@
 #endif
 #endif
 
-  soclib::common::ElfLoader loader("soft/bin.soft");
+  soclib::common::BinaryFileLoader loader("soft/bin.soft");
   soclib::caba::VciRam<vci_param> vciram0("vciram0", IntTab(0), maptab, loader);
   soclib::caba::VciRam<vci_param> vciram1("vciram1", IntTab(1), maptab, loader);
   soclib::caba::VciMultiTty<vci_param> vcitty("vcitty", IntTab(2), maptab, "vcitty0", "vcitty1", "vcitty2", "vcitty3", NULL);
Index: soclib/platform/topcells/caba-vgmn-tc4200-mipsel/platform_desc
===================================================================
--- soclib/platform/topcells/caba-vgmn-tc4200-mipsel/platform_desc	(revision 830)
+++ soclib/platform/topcells/caba-vgmn-tc4200-mipsel/platform_desc	(working copy)
@@ -10,6 +10,7 @@
 	Uses('caba:vci_vgmn'),
 	Uses('caba:vci_xcache'),
 	Uses('caba:tc4200'),
+	Uses('common:elf_file_loader'),
 	],
 	cell_size = 4,
 	plen_size = 1,
Index: soclib/platform/topcells/caba-vgmn-tc4200-mipsel/top.cpp
===================================================================
--- soclib/platform/topcells/caba-vgmn-tc4200-mipsel/top.cpp	(revision 830)
+++ soclib/platform/topcells/caba-vgmn-tc4200-mipsel/top.cpp	(working copy)
@@ -98,7 +98,7 @@
 
 	soclib::caba::IssWrapper<soclib::common::MipsElIss> mips0("mips0", 0);
 
-	soclib::common::ElfLoader loader("soft/bin.soft");
+	soclib::common::BinaryFileLoader loader("soft/bin.soft");
 	soclib::caba::VciRam<vci_param> vcimultiram0("vcimultiram0", IntTab(0), maptab, loader);
 	soclib::caba::VciRam<vci_param> vcimultiram1("vcimultiram1", IntTab(1), maptab, loader);
 	soclib::caba::VciMultiTty<vci_param> vcitty("vcitty",	IntTab(2), maptab, "vcitty0", NULL);
Index: soclib/platform/topcells/caba-vgmn-multi_timer-mips32/platform_desc
===================================================================
--- soclib/platform/topcells/caba-vgmn-multi_timer-mips32/platform_desc	(revision 830)
+++ soclib/platform/topcells/caba-vgmn-multi_timer-mips32/platform_desc	(working copy)
@@ -10,6 +10,7 @@
 	Uses('caba:vci_multi_tty'),
 	Uses('caba:vci_timer'),
 	Uses('caba:vci_vgmn'),
+	Uses('common:elf_file_loader'),
 	],
 	cell_size = 4,
 	plen_size = 6,
Index: soclib/platform/topcells/caba-vgmn-multi_timer-mips32/top.cpp
===================================================================
--- soclib/platform/topcells/caba-vgmn-multi_timer-mips32/top.cpp	(revision 830)
+++ soclib/platform/topcells/caba-vgmn-multi_timer-mips32/top.cpp	(working copy)
@@ -125,7 +125,7 @@
 	soclib::caba::VciXcacheWrapper<vci_param, soclib::common::Iss2Simhelper<soclib::common::Mips32ElIss> > cache2("cache2", 2, maptab,IntTab(2), 4,1,8, 4,1,8);
 	soclib::caba::VciXcacheWrapper<vci_param, soclib::common::Iss2Simhelper<soclib::common::Mips32ElIss> > cache3("cache3", 3, maptab,IntTab(3), 4,1,8, 4,1,8);
 
-	soclib::common::ElfLoader loader("soft/bin.soft");
+	soclib::common::BinaryFileLoader loader("soft/bin.soft");
 	soclib::caba::VciRam<vci_param> vcimultiram0("vcimultiram0", IntTab(0), maptab, loader);
 	soclib::caba::VciRam<vci_param> vcimultiram1("vcimultiram1", IntTab(1), maptab, loader);
 	soclib::caba::VciMultiTty<vci_param> vcitty("vcitty",	IntTab(2), maptab, "vcitty0", "vcitty1", "vcitty2", "vcitty3", NULL);
Index: soclib/platform/topcells/caba-vgmn-block_device-mips32el/platform_desc
===================================================================
--- soclib/platform/topcells/caba-vgmn-block_device-mips32el/platform_desc	(revision 830)
+++ soclib/platform/topcells/caba-vgmn-block_device-mips32el/platform_desc	(working copy)
@@ -10,6 +10,7 @@
 	Uses('caba:vci_vgmn'),
 	Uses('caba:vci_block_device'),
 	Uses('caba:vci_simhelper'),
+	Uses('common:elf_file_loader'),
 	],
 	cell_size = 4,
 	plen_size = 9,
Index: soclib/platform/topcells/caba-vgmn-block_device-mips32el/top.cpp
===================================================================
--- soclib/platform/topcells/caba-vgmn-block_device-mips32el/top.cpp	(revision 830)
+++ soclib/platform/topcells/caba-vgmn-block_device-mips32el/top.cpp	(working copy)
@@ -92,7 +92,7 @@
 
 	soclib::caba::VciXcacheWrapper<vci_param, soclib::common::Mips32ElIss> cache0("cache0", 0, maptab,IntTab(1),1, 8,4,1, 8,4);
 
-	soclib::common::ElfLoader loader("soft/bin.soft");
+	soclib::common::BinaryFileLoader loader("soft/bin.soft");
 	soclib::caba::VciRam<vci_param> vcimultiram0("vcimultiram0", IntTab(1), maptab, loader);
 	soclib::caba::VciRam<vci_param> vcimultiram1("vcimultiram1", IntTab(2), maptab, loader);
 	soclib::caba::VciMultiTty<vci_param> vcitty("vcitty", IntTab(3), maptab, "vcitty0", NULL);
Index: soclib/platform/topcells/caba-vgmn-fir128_mwmr_1_mipsel/platform_desc
===================================================================
--- soclib/platform/topcells/caba-vgmn-fir128_mwmr_1_mipsel/platform_desc	(revision 830)
+++ soclib/platform/topcells/caba-vgmn-fir128_mwmr_1_mipsel/platform_desc	(working copy)
@@ -12,6 +12,7 @@
 	Uses('vci_vgmn'),
 	Uses('vci_xcache'),
 	Uses('Fir128', fifo_depth = 64),
+	Uses('common:elf_file_loader'),
 	],
 	cell_size = 4,
 	plen_size = 8,
Index: soclib/platform/topcells/caba-vgmn-fir128_mwmr_1_mipsel/top.cpp
===================================================================
--- soclib/platform/topcells/caba-vgmn-fir128_mwmr_1_mipsel/top.cpp	(revision 830)
+++ soclib/platform/topcells/caba-vgmn-fir128_mwmr_1_mipsel/top.cpp	(working copy)
@@ -85,7 +85,7 @@
 	soclib::caba::VciXCache<vci_param> cache0("cache0", maptab,IntTab(0),8,4,8,4);
 	  
 	soclib::caba::IssWrapper<soclib::common::MipsElIss> mips0("mips0", 0);
-	soclib::common::ElfLoader loader("soft/bin.soft");
+	soclib::common::BinaryFileLoader loader("soft/bin.soft");
 	soclib::caba::VciRam<vci_param> vcimultiram0("vcimultiram0", IntTab(0), maptab, loader);
 	soclib::caba::VciRam<vci_param> vcimultiram1("vcimultiram1", IntTab(1), maptab, loader);
 	soclib::caba::VciRam<vci_param> vcimultiram2("vcimultiram2", IntTab(4), maptab, loader);
Index: soclib/platform/topcells/caba-vgmn-upsampling_mwmr_1_mipsel/platform_desc
===================================================================
--- soclib/platform/topcells/caba-vgmn-upsampling_mwmr_1_mipsel/platform_desc	(revision 830)
+++ soclib/platform/topcells/caba-vgmn-upsampling_mwmr_1_mipsel/platform_desc	(working copy)
@@ -12,6 +12,7 @@
 	Uses('vci_vgmn'),
 	Uses('vci_xcache'),
 	Uses('Upsampling', fifo_depth = 64),
+	Uses('common:elf_file_loader'),
 	],
 	cell_size = 4,
 	plen_size = 8,
Index: soclib/platform/topcells/caba-vgmn-upsampling_mwmr_1_mipsel/top.cpp
===================================================================
--- soclib/platform/topcells/caba-vgmn-upsampling_mwmr_1_mipsel/top.cpp	(revision 830)
+++ soclib/platform/topcells/caba-vgmn-upsampling_mwmr_1_mipsel/top.cpp	(working copy)
@@ -85,7 +85,7 @@
 	soclib::caba::VciXCache<vci_param> cache0("cache0", maptab,IntTab(0),8,4,8,4);
 	  
 	soclib::caba::IssWrapper<soclib::common::MipsElIss> mips0("mips0", 0);
-	soclib::common::ElfLoader loader("soft/bin.soft");
+	soclib::common::BinaryFileLoader loader("soft/bin.soft");
 	soclib::caba::VciRam<vci_param> vcimultiram0("vcimultiram0", IntTab(0), maptab, loader);
 	soclib::caba::VciRam<vci_param> vcimultiram1("vcimultiram1", IntTab(1), maptab, loader);
 	soclib::caba::VciRam<vci_param> vcimultiram2("vcimultiram2", IntTab(4), maptab, loader);
Index: soclib/platform/topcells/tlmt-vgmn-mwmr_1_coprocessor-none/platform_desc
===================================================================
--- soclib/platform/topcells/tlmt-vgmn-mwmr_1_coprocessor-none/platform_desc	(revision 830)
+++ soclib/platform/topcells/tlmt-vgmn-mwmr_1_coprocessor-none/platform_desc	(working copy)
@@ -8,6 +8,7 @@
                         Uses('tlmt:vci_ram'),
                         Uses('tlmt:vci_mwmr_controller'),
                         Uses('tlmt:coprocessor'),
+						Uses('common:elf_file_loader'),
                         ],
                 addr_t = 'uint32_t',
                 data_t = 'uint32_t',
Index: soclib/platform/topcells/tlmt-vgmn-mwmr_1_coprocessor-none/top.cpp
===================================================================
--- soclib/platform/topcells/tlmt-vgmn-mwmr_1_coprocessor-none/top.cpp	(revision 830)
+++ soclib/platform/topcells/tlmt-vgmn-mwmr_1_coprocessor-none/top.cpp	(working copy)
@@ -70,7 +70,7 @@
   /////////////////////////////////////////////////////////////////////////////
   // RAM
   /////////////////////////////////////////////////////////////////////////////
-  soclib::common::ElfLoader loader("soft/bin.soft");
+  soclib::common::BinaryFileLoader loader("soft/bin.soft");
 
   soclib::tlmt::VciRam<vci_param> ram0("ram0", 0, IntTab(0), maptab, loader);
 
Index: soclib/platform/topcells/caba-vgmn-multi_pci-microblaze/platform_desc
===================================================================
--- soclib/platform/topcells/caba-vgmn-multi_pci-microblaze/platform_desc	(revision 830)
+++ soclib/platform/topcells/caba-vgmn-multi_pci-microblaze/platform_desc	(working copy)
@@ -10,6 +10,7 @@
 	Uses('caba:vci_pci'),
 	Uses('caba:vci_vgmn'),
 	Uses('caba:vci_xcache'),
+	Uses('common:elf_file_loader'),
 	],
 	cell_size = 4,
 	plen_size = 1,
Index: soclib/platform/topcells/caba-vgmn-multi_pci-microblaze/top.cpp
===================================================================
--- soclib/platform/topcells/caba-vgmn-multi_pci-microblaze/top.cpp	(revision 830)
+++ soclib/platform/topcells/caba-vgmn-multi_pci-microblaze/top.cpp	(working copy)
@@ -92,7 +92,7 @@
    soclib::caba::IssWrapper<soclib::common::MicroBlazeIss> mb2("mb2", 2);
    soclib::caba::IssWrapper<soclib::common::MicroBlazeIss> mb3("mb3", 3);
 
-   soclib::common::ElfLoader loader("soft/bin.soft");
+   soclib::common::BinaryFileLoader loader("soft/bin.soft");
    soclib::caba::VciRam<vci_param> vcimultiram0("vcimultiram0", IntTab(0), maptab, loader);
    soclib::caba::VciMultiTty<vci_param> vcitty("vcitty", IntTab(1), maptab, "vcitty0", "vcitty1", "vcitty2", "vcitty3", NULL);
    soclib::caba::VciPci<vci_param> vcipci0("vcipci0", IntTab(2), maptab, 23);
Index: soclib/platform/topcells/caba-vgmn-framebuffer-mipsel/platform_desc
===================================================================
--- soclib/platform/topcells/caba-vgmn-framebuffer-mipsel/platform_desc	(revision 830)
+++ soclib/platform/topcells/caba-vgmn-framebuffer-mipsel/platform_desc	(working copy)
@@ -10,6 +10,7 @@
 	Uses('caba:vci_multi_tty'),
 	Uses('caba:vci_vgmn'),
 	Uses('caba:vci_xcache'),
+	Uses('common:elf_file_loader'),
 	],
 	cell_size = 4,
 	plen_size = 1,
Index: soclib/platform/topcells/caba-vgmn-framebuffer-mipsel/top.cpp
===================================================================
--- soclib/platform/topcells/caba-vgmn-framebuffer-mipsel/top.cpp	(revision 830)
+++ soclib/platform/topcells/caba-vgmn-framebuffer-mipsel/top.cpp	(working copy)
@@ -95,7 +95,7 @@
 
 	soclib::caba::IssWrapper<soclib::common::MipsElIss> mips0("mips0", 0);
 
-	soclib::common::ElfLoader loader("soft/bin.soft");
+	soclib::common::BinaryFileLoader loader("soft/bin.soft");
 	soclib::caba::VciRam<vci_param> vcimultiram0("vcimultiram0", IntTab(0), maptab, loader);
 	soclib::caba::VciRam<vci_param> vcimultiram1("vcimultiram1", IntTab(1), maptab, loader);
 	soclib::caba::VciMultiTty<vci_param> vcitty("vcitty",	IntTab(2), maptab, "vcitty0", NULL);
Index: soclib/platform/topcells/caba-vgmn-fir-nios2f/platform_desc
===================================================================
--- soclib/platform/topcells/caba-vgmn-fir-nios2f/platform_desc	(revision 830)
+++ soclib/platform/topcells/caba-vgmn-fir-nios2f/platform_desc	(working copy)
@@ -9,6 +9,7 @@
 	Uses('caba:vci_multi_tty'),
 	Uses('caba:vci_vgmn'),
 	Uses('caba:vci_xcache'),
+	Uses('common:elf_file_loader'),
 	],
 	cell_size = 4,
 	plen_size = 1,
Index: soclib/platform/topcells/caba-vgmn-fir-nios2f/top.cpp
===================================================================
--- soclib/platform/topcells/caba-vgmn-fir-nios2f/top.cpp	(revision 830)
+++ soclib/platform/topcells/caba-vgmn-fir-nios2f/top.cpp	(working copy)
@@ -110,7 +110,7 @@
 
 	soclib::caba::IssWrapper<soclib::common::Nios2fIss> nios2("nios2", 0);
 
-	soclib::common::ElfLoader loader("soft/bin.soft");
+	soclib::common::BinaryFileLoader loader("soft/bin.soft");
 
 	soclib::caba::VciMultiTty<vci_param> vcitty("vcitty",	IntTab(1), maptab, "vcitty", NULL);
 
Index: soclib/platform/topcells/caba-ring-memcache-mipsel/platform_desc
===================================================================
--- soclib/platform/topcells/caba-ring-memcache-mipsel/platform_desc	(revision 830)
+++ soclib/platform/topcells/caba-ring-memcache-mipsel/platform_desc	(working copy)
@@ -9,6 +9,7 @@
 	Uses('caba:vci_multi_tty'),
 	Uses('caba:vci_simple_ring_network'),
 	Uses('caba:vci_mem_cache'),
+		Uses('common:elf_file_loader'),
 	],
 	cell_size = 4,
 	plen_size = 8,
Index: soclib/platform/topcells/caba-vgmn-multi_timer-iss2_mipsel/platform_desc
===================================================================
--- soclib/platform/topcells/caba-vgmn-multi_timer-iss2_mipsel/platform_desc	(revision 830)
+++ soclib/platform/topcells/caba-vgmn-multi_timer-iss2_mipsel/platform_desc	(working copy)
@@ -10,6 +10,7 @@
 	Uses('caba:vci_multi_tty'),
 	Uses('caba:vci_timer'),
 	Uses('caba:vci_vgmn'),
+	Uses('common:elf_file_loader'),
 	],
 	cell_size = 4,
 	plen_size = 6,
Index: soclib/platform/topcells/caba-vgmn-multi_timer-iss2_mipsel/top.cpp
===================================================================
--- soclib/platform/topcells/caba-vgmn-multi_timer-iss2_mipsel/top.cpp	(revision 830)
+++ soclib/platform/topcells/caba-vgmn-multi_timer-iss2_mipsel/top.cpp	(working copy)
@@ -126,7 +126,7 @@
 	soclib::caba::VciXcacheWrapper<vci_param, soclib::common::IssIss2<soclib::common::IssSimhelper<soclib::common::MipsElIss> > > cache2("cache2", 2, maptab,IntTab(2), 4,1,8, 4,1,8);
 	soclib::caba::VciXcacheWrapper<vci_param, soclib::common::IssIss2<soclib::common::IssSimhelper<soclib::common::MipsElIss> > > cache3("cache3", 3, maptab,IntTab(3), 4,1,8, 4,1,8);
 
-	soclib::common::ElfLoader loader("soft/bin.soft");
+	soclib::common::BinaryFileLoader loader("soft/bin.soft");
 	soclib::caba::VciRam<vci_param> vcimultiram0("vcimultiram0", IntTab(0), maptab, loader);
 	soclib::caba::VciRam<vci_param> vcimultiram1("vcimultiram1", IntTab(1), maptab, loader);
 	soclib::caba::VciMultiTty<vci_param> vcitty("vcitty",	IntTab(2), maptab, "vcitty0", "vcitty1", "vcitty2", "vcitty3", NULL);
Index: soclib/platform/topcells/caba-vgmn-llsc-mipsel/platform_desc
===================================================================
--- soclib/platform/topcells/caba-vgmn-llsc-mipsel/platform_desc	(revision 830)
+++ soclib/platform/topcells/caba-vgmn-llsc-mipsel/platform_desc	(working copy)
@@ -9,6 +9,7 @@
 	Uses('caba:vci_multi_tty'),
 	Uses('caba:vci_simhelper'),
 	Uses('caba:vci_vgmn'),
+	Uses('common:elf_file_loader'),
 	],
 	cell_size = 4,
 	plen_size = 6,
Index: soclib/platform/topcells/caba-vgmn-llsc-mipsel/top.cpp
===================================================================
--- soclib/platform/topcells/caba-vgmn-llsc-mipsel/top.cpp	(revision 830)
+++ soclib/platform/topcells/caba-vgmn-llsc-mipsel/top.cpp	(working copy)
@@ -113,7 +113,7 @@
 	soclib::caba::VciXcacheWrapper<vci_param, soclib::common::IssIss2<soclib::common::MipsElIss> > mips2("mips2", 2, maptab,IntTab(2), 4,1,8, 4,1,8);
 	soclib::caba::VciXcacheWrapper<vci_param, soclib::common::IssIss2<soclib::common::MipsElIss> > mips3("mips3", 3, maptab,IntTab(3), 4,1,8, 4,1,8);
 
-	soclib::common::ElfLoader loader("soft/bin.soft");
+	soclib::common::BinaryFileLoader loader("soft/bin.soft");
 	soclib::caba::VciRam<vci_param> vcimultiram0("vcimultiram0", IntTab(0), maptab, loader);
 	soclib::caba::VciMultiTty<vci_param> vcitty("vcitty",	IntTab(1), maptab, "vcitty0", NULL);
 	soclib::caba::VciSimhelper<vci_param> vcisimhelper("vcisimhelper",	IntTab(2), maptab);
Index: soclib/platform/topcells/caba-vgmn-framebuffer-tms320c62/platform_desc
===================================================================
--- soclib/platform/topcells/caba-vgmn-framebuffer-tms320c62/platform_desc	(revision 830)
+++ soclib/platform/topcells/caba-vgmn-framebuffer-tms320c62/platform_desc	(working copy)
@@ -3,13 +3,14 @@
 
 todo = Platform('caba', 'top.cpp',
                                 uses = [
-	Uses('caba:iss_c6x_wrapper', iss_t = 'common:tms320c62'),
+	Uses('caba:iss_wrapper', iss_t = 'common:tms320c62'),
 	Uses('caba:vci_ram_c6x'),
         Uses('caba:vci_framebuffer'),
         Uses('caba:vci_multi_tty'),
         Uses('caba:vci_timer'),
         Uses('caba:vci_vgmn'),
         Uses('caba:vci_xcache'),
+	Uses('common:elf_file_loader'),
         ],
         cell_size = 4,
         plen_size = 1,
Index: soclib/platform/topcells/caba-vgmn-framebuffer-tms320c62/top.cpp
===================================================================
--- soclib/platform/topcells/caba-vgmn-framebuffer-tms320c62/top.cpp	(revision 830)
+++ soclib/platform/topcells/caba-vgmn-framebuffer-tms320c62/top.cpp	(working copy)
@@ -45,7 +45,7 @@
 
 #include "mapping_table.h"
 #include "tms320c62.h"
-#include "iss_c6x_wrapper.h"
+#include "iss_wrapper.h"
 #include "vci_xcache.h"
 #include "vci_timer.h"
 #include "vci_ram_c6x.h"
@@ -98,7 +98,7 @@
   // Components
   soclib::caba::VciXCache<vci_param> cache ("cache", maptab, IntTab(0), 16,8,16,4);
 
-  soclib::caba::IssC6xWrapper<soclib::common::Tms320C6xIss> tms320c62("tms320c62", 0);
+  soclib::caba::IssWrapper<soclib::common::Tms320C6xIss> tms320c62("tms320c62", 0);
 
   soclib::common::CoffLoader loader("soft/bin.soft");
   soclib::caba::VciRamC6x<vci_param> vcimultiram0("vcimultiram0", IntTab(0), maptab, loader);
Index: soclib/platform/topcells/caba-vgmn-boot-arm7tdmi/platform_desc
===================================================================
--- soclib/platform/topcells/caba-vgmn-boot-arm7tdmi/platform_desc	(revision 830)
+++ soclib/platform/topcells/caba-vgmn-boot-arm7tdmi/platform_desc	(working copy)
@@ -8,6 +8,7 @@
 	Uses('caba:vci_ram'),
 	Uses('caba:vci_vgmn'),
 	Uses('caba:vci_xcache'),
+	Uses('common:elf_file_loader'),
 	],
 	cell_size = 4,
 	plen_size = 1,
Index: soclib/platform/topcells/caba-vgmn-boot-arm7tdmi/top.cpp
===================================================================
--- soclib/platform/topcells/caba-vgmn-boot-arm7tdmi/top.cpp	(revision 830)
+++ soclib/platform/topcells/caba-vgmn-boot-arm7tdmi/top.cpp	(working copy)
@@ -141,7 +141,7 @@
 
 	soclib::caba::IssWrapper<soclib::common::ARM7TDMIIss> arm0("arm0", 0);
 
-	soclib::common::ElfLoader loader("soft/bin.soft");
+	soclib::common::BinaryFileLoader loader("soft/bin.soft");
 	soclib::caba::VciRam<vci_param> 
 		vcimultiram0("vcimultiram0", IntTab(0), maptab, loader);
 	soclib::caba::VciRam<vci_param> 
Index: soclib/platform/topcells/caba-tsar-v0/platform_desc
===================================================================
--- soclib/platform/topcells/caba-tsar-v0/platform_desc	(revision 830)
+++ soclib/platform/topcells/caba-tsar-v0/platform_desc	(working copy)
@@ -11,6 +11,7 @@
 	Uses('caba:vci_mem_cache'),
 	Uses('caba:vci_vgmn'),
 	Uses('caba:vci_dspinplus_network',dspin_fifo_size = 4, dspin_yx_size = 1),
+		Uses('common:elf_file_loader'),
 	],
 	cell_size = 4,
 	plen_size = 8,
Index: soclib/platform/topcells/caba-tsar-v0/top.cpp
===================================================================
--- soclib/platform/topcells/caba-tsar-v0/top.cpp	(revision 830)
+++ soclib/platform/topcells/caba-tsar-v0/top.cpp	(working copy)
@@ -327,7 +327,7 @@
 	// TGT 3 : memc_tgt
 	// TGT 4 : proc0_tgt
 
-	soclib::common::ElfLoader loader("soft/bin.soft");
+	soclib::common::BinaryFileLoader loader("soft/bin.soft");
 
 	soclib::caba::VciCcXcacheWrapper<vci_param, proc_iss > 
 	proc0("proc0", 0, maptabp,maptabc,IntTab(0,0),IntTab(0,0),4,64,16,4,64,16,CLEANUP_OFFSET);
Index: soclib/platform/topcells/caba-vgmn-multi_timer-nios2f/platform_desc
===================================================================
--- soclib/platform/topcells/caba-vgmn-multi_timer-nios2f/platform_desc	(revision 830)
+++ soclib/platform/topcells/caba-vgmn-multi_timer-nios2f/platform_desc	(working copy)
@@ -11,6 +11,7 @@
 	Uses('caba:vci_timer'),
 	Uses('caba:vci_vgmn'),
 	Uses('caba:vci_xcache'),
+	Uses('common:elf_file_loader'),
 	],
 	cell_size = 4,
 	plen_size = 1,
Index: soclib/platform/topcells/caba-vgmn-multi_timer-nios2f/top.cpp
===================================================================
--- soclib/platform/topcells/caba-vgmn-multi_timer-nios2f/top.cpp	(revision 830)
+++ soclib/platform/topcells/caba-vgmn-multi_timer-nios2f/top.cpp	(working copy)
@@ -119,7 +119,7 @@
 	soclib::caba::IssWrapper<soclib::common::Nios2fIss> nios22("nios2_2", 2);
 	soclib::caba::IssWrapper<soclib::common::Nios2fIss> nios23("nios2_3", 3);
 
-	soclib::common::ElfLoader loader("soft/bin.soft");
+	soclib::common::BinaryFileLoader loader("soft/bin.soft");
 	soclib::caba::VciRam<vci_param> vcimultiram0("vcimultiram0", IntTab(0), maptab, loader);
 	soclib::caba::VciRam<vci_param> vcimultiram1("vcimultiram1", IntTab(1), maptab, loader);
 	soclib::caba::VciMultiTty<vci_param> vcitty("vcitty", IntTab(2), maptab, "vcitty0", "vcitty1", "vcitty2", "vcitty3", NULL);
Index: soclib/platform/topcells/caba-avalon-framebuffer-nios2f/platform_desc
===================================================================
--- soclib/platform/topcells/caba-avalon-framebuffer-nios2f/platform_desc	(revision 830)
+++ soclib/platform/topcells/caba-avalon-framebuffer-nios2f/platform_desc	(working copy)
@@ -14,6 +14,7 @@
 	Uses('caba:vci_avalon_target_wrapper'),
 	Uses('caba:vci_avalon_initiator_wrapper'),
         Uses('caba:vci_xcache'),
+	Uses('common:elf_file_loader'),
         ],
         cell_size = 4,
         plen_size = 8,
Index: soclib/platform/topcells/caba-avalon-framebuffer-nios2f/top.cpp
===================================================================
--- soclib/platform/topcells/caba-avalon-framebuffer-nios2f/top.cpp	(revision 830)
+++ soclib/platform/topcells/caba-avalon-framebuffer-nios2f/top.cpp	(working copy)
@@ -138,7 +138,7 @@
 #endif
 
 
-  soclib::common::ElfLoader loader("soft/bin.soft");
+  soclib::common::BinaryFileLoader loader("soft/bin.soft");
   soclib::caba::VciRam<vci_param> vciram0("vciram0", IntTab(0), maptab, loader);
   soclib::caba::VciRam<vci_param> vciram1("vciram1", IntTab(1), maptab, loader);
   soclib::caba::VciMultiTty<vci_param> vcitty("vcitty",	IntTab(2), maptab, "vcitty0", NULL);
Index: soclib/platform/topcells/caba-vgmn-synchronization_mwmr_1_mipsel/platform_desc
===================================================================
--- soclib/platform/topcells/caba-vgmn-synchronization_mwmr_1_mipsel/platform_desc	(revision 830)
+++ soclib/platform/topcells/caba-vgmn-synchronization_mwmr_1_mipsel/platform_desc	(working copy)
@@ -12,6 +12,7 @@
 	Uses('vci_vgmn'),
 	Uses('vci_xcache'),
 	Uses('Synchronization', fifo_depth = 64),
+	Uses('common:elf_file_loader'),
 	],
 	cell_size = 4,
 	plen_size = 8,
Index: soclib/platform/topcells/caba-vgmn-synchronization_mwmr_1_mipsel/top.cpp
===================================================================
--- soclib/platform/topcells/caba-vgmn-synchronization_mwmr_1_mipsel/top.cpp	(revision 830)
+++ soclib/platform/topcells/caba-vgmn-synchronization_mwmr_1_mipsel/top.cpp	(working copy)
@@ -85,7 +85,7 @@
 	soclib::caba::VciXCache<vci_param> cache0("cache0", maptab,IntTab(0),8,4,8,4);
 	  
 	soclib::caba::IssWrapper<soclib::common::MipsElIss> mips0("mips0", 0);
-	soclib::common::ElfLoader loader("soft/bin.soft");
+	soclib::common::BinaryFileLoader loader("soft/bin.soft");
 	soclib::caba::VciRam<vci_param> vcimultiram0("vcimultiram0", IntTab(0), maptab, loader);
 	soclib::caba::VciRam<vci_param> vcimultiram1("vcimultiram1", IntTab(1), maptab, loader);
 	soclib::caba::VciRam<vci_param> vcimultiram2("vcimultiram2", IntTab(4), maptab, loader);
Index: soclib/platform/topcells/caba-vgmn-downsampling_mwmr_1_mipsel/platform_desc
===================================================================
--- soclib/platform/topcells/caba-vgmn-downsampling_mwmr_1_mipsel/platform_desc	(revision 830)
+++ soclib/platform/topcells/caba-vgmn-downsampling_mwmr_1_mipsel/platform_desc	(working copy)
@@ -12,6 +12,7 @@
 	Uses('vci_vgmn'),
 	Uses('vci_xcache'),
 	Uses('Downsampling', fifo_depth = 64),
+	Uses('common:elf_file_loader'),
 	],
 	cell_size = 4,
 	plen_size = 8,
Index: soclib/platform/topcells/caba-vgmn-downsampling_mwmr_1_mipsel/top.cpp
===================================================================
--- soclib/platform/topcells/caba-vgmn-downsampling_mwmr_1_mipsel/top.cpp	(revision 830)
+++ soclib/platform/topcells/caba-vgmn-downsampling_mwmr_1_mipsel/top.cpp	(working copy)
@@ -85,7 +85,7 @@
 	soclib::caba::VciXCache<vci_param> cache0("cache0", maptab,IntTab(0),8,4,8,4);
 	  
 	soclib::caba::IssWrapper<soclib::common::MipsElIss> mips0("mips0", 0);
-	soclib::common::ElfLoader loader("soft/bin.soft");
+	soclib::common::BinaryFileLoader loader("soft/bin.soft");
 	soclib::caba::VciRam<vci_param> vcimultiram0("vcimultiram0", IntTab(0), maptab, loader);
 	soclib::caba::VciRam<vci_param> vcimultiram1("vcimultiram1", IntTab(1), maptab, loader);
 	soclib::caba::VciRam<vci_param> vcimultiram2("vcimultiram2", IntTab(4), maptab, loader);
Index: soclib/platform/topcells/caba-vgmn-mutekh_tutorial-mipsel_mipseb_ppc405/platform_desc
===================================================================
--- soclib/platform/topcells/caba-vgmn-mutekh_tutorial-mipsel_mipseb_ppc405/platform_desc	(revision 830)
+++ soclib/platform/topcells/caba-vgmn-mutekh_tutorial-mipsel_mipseb_ppc405/platform_desc	(working copy)
@@ -31,6 +31,7 @@
 		Uses('caba:vci_timer'),
 		Uses('caba:vci_icu'),
 		Uses('caba:vci_vgmn'),
+        Uses('common:elf_file_loader'),
 	],
 	cell_size = 4,
 	plen_size = 9,
Index: soclib/platform/topcells/caba-vgmn-mutekh_tutorial-mipsel_mipseb_ppc405/top.cc
===================================================================
--- soclib/platform/topcells/caba-vgmn-mutekh_tutorial-mipsel_mipseb_ppc405/top.cc	(revision 830)
+++ soclib/platform/topcells/caba-vgmn-mutekh_tutorial-mipsel_mipseb_ppc405/top.cc	(working copy)
@@ -164,7 +164,7 @@
 
 	// Components
 
-	soclib::common::ElfLoader loader(argv[1]);
+	soclib::common::BinaryFileLoader loader(argv[1]);
 
 #if defined(CONFIG_SOCLIB_MEMCHECK)
 	Processor::init(maptab, loader, "tty,timer,locks,icu");
Index: soclib/platform/topcells/caba-tsar-ring/platform_desc
===================================================================
--- soclib/platform/topcells/caba-tsar-ring/platform_desc	(revision 830)
+++ soclib/platform/topcells/caba-tsar-ring/platform_desc	(working copy)
@@ -11,6 +11,7 @@
 	Uses('caba:vci_simple_ring_network'),
 	Uses('caba:vci_local_ring_network'),
 	Uses('caba:ring_gateway'),
+		Uses('common:elf_file_loader'),
 	],
 	cell_size = 4,
 	plen_size = 8,
Index: soclib/platform/topcells/caba-tsar-ring/top.cpp
===================================================================
--- soclib/platform/topcells/caba-tsar-ring/top.cpp	(revision 830)
+++ soclib/platform/topcells/caba-tsar-ring/top.cpp	(working copy)
@@ -300,7 +300,7 @@
 	// TGT 3 : memc_tgt
 	// TGT 4 : proc0_tgt
 
-	soclib::common::ElfLoader loader("soft/bin.soft");
+	soclib::common::BinaryFileLoader loader("soft/bin.soft");
 
 	soclib::caba::VciCcXcacheWrapper<vci_param, proc_iss > 
 	proc0("proc0", 0, maptabp,maptabc,IntTab(0,0),IntTab(0,0),4,64,16,4,64,16,CLEANUP_OFFSET);
Index: soclib/platform/topcells/AC3decoder_arm/platform_desc
===================================================================
--- soclib/platform/topcells/AC3decoder_arm/platform_desc	(revision 830)
+++ soclib/platform/topcells/AC3decoder_arm/platform_desc	(working copy)
@@ -12,6 +12,7 @@
 	Uses('caba:vci_timer'),
 	Uses('caba:vci_vgmn'),
 	Uses('caba:vci_xcache'),
+	Uses('common:elf_file_loader'),
 	],
 	cell_size = 4,
 	plen_size = 1,
Index: soclib/platform/topcells/AC3decoder_arm/top.cpp
===================================================================
--- soclib/platform/topcells/AC3decoder_arm/top.cpp	(revision 830)
+++ soclib/platform/topcells/AC3decoder_arm/top.cpp	(working copy)
@@ -126,7 +126,7 @@
 
 	soclib::caba::IssWrapper<soclib::common::ARM966Iss> arm0("arm0", 0);
 
-	soclib::common::ElfLoader loader("soft/bin.soft");
+	soclib::common::BinaryFileLoader loader("soft/bin.soft");
 	soclib::caba::VciRam<vci_param> vcimultiram0("vcimultiram0", IntTab(0), maptab, loader);
 	soclib::caba::VciRam<vci_param> vcimultiram1("vcimultiram1", IntTab(1), maptab, loader);
 
Index: soclib/platform/topcells/caba-vgmn-multi_timer-ppc405/platform_desc
===================================================================
--- soclib/platform/topcells/caba-vgmn-multi_timer-ppc405/platform_desc	(revision 830)
+++ soclib/platform/topcells/caba-vgmn-multi_timer-ppc405/platform_desc	(working copy)
@@ -10,6 +10,7 @@
 	Uses('caba:vci_vgmn'),
 	Uses('caba:vci_xcache_wrapper', iss_t = 'common:iss2_simhelper', simhelper_iss_t = 'common:ppc405'),
 	Uses('caba:vci_xcache_wrapper', iss_t = 'common:gdb_iss', gdb_iss_t = 'common:ppc405'),
+	Uses('common:elf_file_loader'),
 	],
 	cell_size = 4,
 	plen_size = 9,
Index: soclib/platform/topcells/caba-vgmn-multi_timer-ppc405/top.cpp
===================================================================
--- soclib/platform/topcells/caba-vgmn-multi_timer-ppc405/top.cpp	(revision 830)
+++ soclib/platform/topcells/caba-vgmn-multi_timer-ppc405/top.cpp	(working copy)
@@ -115,7 +115,7 @@
 	soclib::caba::VciXcacheWrapper<vci_param, iss_t> cache2("cache2", 2, maptab,IntTab(2),1,8,4,1,8,4);
 	soclib::caba::VciXcacheWrapper<vci_param, iss_t> cache3("cache3", 3, maptab,IntTab(3),1,8,4,1,8,4);
 
-	soclib::common::ElfLoader loader("soft/bin.soft");
+	soclib::common::BinaryFileLoader loader("soft/bin.soft");
 	soclib::caba::VciRam<vci_param> vcimultiram0("vcimultiram0", IntTab(0), maptab, loader);
 	soclib::caba::VciRam<vci_param> vcimultiram1("vcimultiram1", IntTab(1), maptab, loader);
 	soclib::caba::VciMultiTty<vci_param> vcitty("vcitty",	IntTab(2), maptab, "vcitty0", "vcitty1", "vcitty2", "vcitty3", NULL);
Index: soclib/platform/topcells/tlmt-vgmn-st231/platform_desc
===================================================================
--- soclib/platform/topcells/tlmt-vgmn-st231/platform_desc	(revision 830)
+++ soclib/platform/topcells/tlmt-vgmn-st231/platform_desc	(working copy)
@@ -12,6 +12,7 @@
                         Uses('tlmt:fifo_reader'),
                         Uses('tlmt:fifo_writer'),
 #                        Uses('tlmt:coprocessor'),
+						Uses('common:elf_file_loader'),
                         ],
                 addr_t = 'uint32_t',
                 data_t = 'uint32_t',
Index: soclib/platform/topcells/tlmt-vgmn-st231/top.cpp
===================================================================
--- soclib/platform/topcells/tlmt-vgmn-st231/top.cpp	(revision 830)
+++ soclib/platform/topcells/tlmt-vgmn-st231/top.cpp	(working copy)
@@ -70,7 +70,7 @@
 
   // Configurator instanciateOnStack
   st231::mapfile = "soft/bin.maps";
-  soclib::common::ElfLoader loader("soft/bin.soft");
+  soclib::common::BinaryFileLoader loader("soft/bin.soft");
   soclib::common::MappingTable mapping_table(32, soclib::common::IntTab(8), soclib::common::IntTab(8), 0x00200000);
 
 
Index: soclib/platform/topcells/caba-vgmn-trx_ofdm-mipsel/platform_desc
===================================================================
--- soclib/platform/topcells/caba-vgmn-trx_ofdm-mipsel/platform_desc	(revision 830)
+++ soclib/platform/topcells/caba-vgmn-trx_ofdm-mipsel/platform_desc	(working copy)
@@ -12,6 +12,7 @@
         Uses('caba:vci_mwmr_controller'),
 	Uses('caba:vci_locks'),
         Uses('caba:trx_ofdm'),
+	Uses('common:elf_file_loader'),
 	],
 	cell_size = 4,
 	plen_size = 8,
Index: soclib/platform/topcells/caba-vgmn-trx_ofdm-mipsel/top.cpp
===================================================================
--- soclib/platform/topcells/caba-vgmn-trx_ofdm-mipsel/top.cpp	(revision 830)
+++ soclib/platform/topcells/caba-vgmn-trx_ofdm-mipsel/top.cpp	(working copy)
@@ -123,7 +123,7 @@
 
 	soclib::caba::IssWrapper<soclib::common::MipsElIss> mips0("mips0", 0);
 
-	soclib::common::ElfLoader loader("soft/bin.soft");
+	soclib::common::BinaryFileLoader loader("soft/bin.soft");
 	soclib::caba::VciRam<vci_param> vcimultiram0("vcimultiram0", IntTab(0), maptab, loader);
 	soclib::caba::VciRam<vci_param> vcimultiram1("vcimultiram1", IntTab(1), maptab, loader);
 	soclib::caba::VciRam<vci_param> vcimultiram2("vcimultiram2", IntTab(4), maptab, loader);
Index: soclib/platform/topcells/caba-pibus-hello_world-microblaze/platform_desc
===================================================================
--- soclib/platform/topcells/caba-pibus-hello_world-microblaze/platform_desc	(revision 830)
+++ soclib/platform/topcells/caba-pibus-hello_world-microblaze/platform_desc	(working copy)
@@ -11,6 +11,7 @@
 	Uses('caba:pibus_bcu'),
 	Uses('caba:vci_pi_target_wrapper'),
 	Uses('caba:vci_pi_initiator_wrapper'),
+	Uses('common:elf_file_loader'),
 	],
 	cell_size = 4,
 	plen_size = 1,
Index: soclib/platform/topcells/caba-pibus-hello_world-microblaze/top.cpp
===================================================================
--- soclib/platform/topcells/caba-pibus-hello_world-microblaze/top.cpp	(revision 830)
+++ soclib/platform/topcells/caba-pibus-hello_world-microblaze/top.cpp	(working copy)
@@ -52,7 +52,7 @@
 
    soclib::caba::IssWrapper<soclib::common::MicroBlazeIss> mb("mb", 12);
 
-   soclib::common::ElfLoader loader("soft/a.out");
+   soclib::common::BinaryFileLoader loader("soft/a.out");
    soclib::caba::VciRam<vci_param> vcimultiram("vcimultiram", IntTab(0), maptab, loader);
    soclib::caba::VciMultiTty<vci_param> vcitty("vcitty", IntTab(1), maptab, "vcitty", NULL);
    
Index: soclib/platform/topcells/caba-vci_ring-multi_timer-mipsel/platform_desc
===================================================================
--- soclib/platform/topcells/caba-vci_ring-multi_timer-mipsel/platform_desc	(revision 830)
+++ soclib/platform/topcells/caba-vci_ring-multi_timer-mipsel/platform_desc	(working copy)
@@ -11,6 +11,7 @@
 	Uses('caba:vci_timer'),
 	Uses('caba:vci_simple_ring_network'),
 	Uses('caba:vci_xcache'),
+	Uses('common:elf_file_loader'),
 	],
 	cell_size = 4,
 	plen_size = 8,
Index: soclib/platform/topcells/caba-vci_ring-multi_timer-mipsel/top.cpp
===================================================================
--- soclib/platform/topcells/caba-vci_ring-multi_timer-mipsel/top.cpp	(revision 830)
+++ soclib/platform/topcells/caba-vci_ring-multi_timer-mipsel/top.cpp	(working copy)
@@ -142,7 +142,7 @@
 	soclib::caba::IssWrapper<soclib::common::IssSimhelper<soclib::common::MipsElIss> > mips2("mips2", 2);
 	soclib::caba::IssWrapper<soclib::common::IssSimhelper<soclib::common::MipsElIss> > mips3("mips3", 3);
 
-	soclib::common::ElfLoader loader("soft/bin.soft");
+	soclib::common::BinaryFileLoader loader("soft/bin.soft");
 	soclib::caba::VciSimpleRam<vci_param> vcimultiram0("vcimultiram0", IntTab(0), maptab, loader);
 	soclib::caba::VciSimpleRam<vci_param> vcimultiram1("vcimultiram1", IntTab(1), maptab, loader);
 	soclib::caba::VciMultiTty<vci_param> vcitty("vcitty",	IntTab(2), maptab, "vcitty0", "vcitty1", "vcitty2", "vcitty3", NULL);
Index: soclib/platform/topcells/caba-vgmn-dma-ppc405/platform_desc
===================================================================
--- soclib/platform/topcells/caba-vgmn-dma-ppc405/platform_desc	(revision 830)
+++ soclib/platform/topcells/caba-vgmn-dma-ppc405/platform_desc	(working copy)
@@ -11,6 +11,7 @@
 	Uses('caba:vci_multi_tty'),
 	Uses('caba:vci_vgmn'),
 	Uses('caba:vci_xcache_wrapper', iss_t = 'common:ppc405'),
+	Uses('common:elf_file_loader'),
 	],
 	cell_size = 4,
 	plen_size = 8,
Index: soclib/platform/topcells/caba-vgmn-dma-ppc405/top.cpp
===================================================================
--- soclib/platform/topcells/caba-vgmn-dma-ppc405/top.cpp	(revision 830)
+++ soclib/platform/topcells/caba-vgmn-dma-ppc405/top.cpp	(working copy)
@@ -95,7 +95,7 @@
 
 	soclib::caba::VciXcacheWrapper<vci_param,soclib::common::Ppc405Iss> cache0("cache0", 0, maptab,IntTab(1),1,8,4,1,8,4);
 
-	soclib::common::ElfLoader loader("soft/bin.soft");
+	soclib::common::BinaryFileLoader loader("soft/bin.soft");
 	soclib::caba::VciRam<vci_param> vcimultiram0("vcimultiram0", IntTab(5), maptab, loader);
 	soclib::caba::VciRam<vci_param> vcimultiram1("vcimultiram1", IntTab(1), maptab, loader);
 	soclib::caba::VciMultiTty<vci_param> vcitty("vcitty",	IntTab(2), maptab, "vcitty0", NULL);
Index: soclib/platform/topcells/mailbox_2mips/platform_desc
===================================================================
--- soclib/platform/topcells/mailbox_2mips/platform_desc	(revision 830)
+++ soclib/platform/topcells/mailbox_2mips/platform_desc	(working copy)
@@ -11,6 +11,7 @@
 	Uses('caba:vci_vgmn'),
 	Uses('caba:vci_xcache'),
 	Uses('caba:mailbox', Nirq = 2),
+	Uses('common:elf_file_loader'),
 	],
 	cell_size = 4,
 	plen_size = 1,
Index: soclib/platform/topcells/mailbox_2mips/top.cpp
===================================================================
--- soclib/platform/topcells/mailbox_2mips/top.cpp	(revision 830)
+++ soclib/platform/topcells/mailbox_2mips/top.cpp	(working copy)
@@ -127,7 +127,7 @@
 	soclib::caba::IssWrapper<soclib::common::MipsElIss> mips1("mips1", 1);
 #endif
 
-	soclib::common::ElfLoader loader("soft/bin.soft");
+	soclib::common::BinaryFileLoader loader("soft/bin.soft");
 	soclib::caba::VciMultiRam<vci_param> vcimultiram0("vcimultiram0", IntTab(0), maptab, loader);
 	soclib::caba::VciMultiRam<vci_param> vcimultiram1("vcimultiram1", IntTab(1), maptab, loader);
 	soclib::caba::VciMultiTty<vci_param> vcitty("vcitty",	IntTab(2), maptab, "vcitty0", "vcitty1", NULL);
Index: soclib/platform/topcells/caba-vgmn-st231/platform_desc
===================================================================
--- soclib/platform/topcells/caba-vgmn-st231/platform_desc	(revision 830)
+++ soclib/platform/topcells/caba-vgmn-st231/platform_desc	(working copy)
@@ -12,6 +12,7 @@
 	Uses('caba:vci_timer'),
 	Uses('caba:vci_vgmn'),
 	Uses('caba:vci_xcache'),
+	Uses('common:elf_file_loader'),
 	],
 	cell_size = 4,
 	plen_size = 1,
Index: soclib/platform/topcells/caba-vgmn-st231/top.cpp
===================================================================
--- soclib/platform/topcells/caba-vgmn-st231/top.cpp	(revision 830)
+++ soclib/platform/topcells/caba-vgmn-st231/top.cpp	(working copy)
@@ -137,7 +137,7 @@
 
 	st231::mapfile = "soft/bin.maps";
 	soclib::caba::IssWrapper<soclib::common::ST231iss> st231("st231", 0);
-	soclib::common::ElfLoader loader("soft/bin.soft");
+	soclib::common::BinaryFileLoader loader("soft/bin.soft");
 
 	soclib::caba::VciRam<vci_param> 
 		vcimultiram0("vcimultiram0", IntTab(0), maptab, loader);
Index: soclib/platform/topcells/caba-pibus-hello_world-mipsel/platform_desc
===================================================================
--- soclib/platform/topcells/caba-pibus-hello_world-mipsel/platform_desc	(revision 830)
+++ soclib/platform/topcells/caba-pibus-hello_world-mipsel/platform_desc	(working copy)
@@ -11,6 +11,7 @@
 	Uses('caba:pibus_bcu'),
 	Uses('caba:vci_pi_target_wrapper'),
 	Uses('caba:vci_pi_initiator_wrapper'),
+	Uses('common:elf_file_loader'),
 	],
 	cell_size = 4,
 	plen_size = 1,
Index: soclib/platform/topcells/caba-pibus-hello_world-mipsel/top.cpp
===================================================================
--- soclib/platform/topcells/caba-pibus-hello_world-mipsel/top.cpp	(revision 830)
+++ soclib/platform/topcells/caba-pibus-hello_world-mipsel/top.cpp	(working copy)
@@ -94,7 +94,7 @@
 
 	soclib::caba::IssWrapper<soclib::common::MipsElIss> mips0("mips0", 0);
 
-	soclib::common::ElfLoader loader("soft/bin.soft");
+	soclib::common::BinaryFileLoader loader("soft/bin.soft");
 	soclib::caba::VciRam<vci_param> vcimultiram0("vcimultiram0", IntTab(0), maptab, loader);
 	soclib::caba::VciMultiTty<vci_param> vcitty("vcitty",	IntTab(1), maptab, "vcitty0", NULL);
 	
Index: soclib/platform/topcells/caba-vci_ring-llsc-mipsel/platform_desc
===================================================================
--- soclib/platform/topcells/caba-vci_ring-llsc-mipsel/platform_desc	(revision 830)
+++ soclib/platform/topcells/caba-vci_ring-llsc-mipsel/platform_desc	(working copy)
@@ -10,6 +10,7 @@
 	Uses('caba:vci_simhelper'),
 	Uses('caba:vci_simple_ring_network'),
 	Uses('caba:vci_xcache'),
+	Uses('common:elf_file_loader'),
 	],
 	cell_size = 4,
 	plen_size = 8,
Index: soclib/platform/topcells/caba-vci_ring-llsc-mipsel/top.cpp
===================================================================
--- soclib/platform/topcells/caba-vci_ring-llsc-mipsel/top.cpp	(revision 830)
+++ soclib/platform/topcells/caba-vci_ring-llsc-mipsel/top.cpp	(working copy)
@@ -126,7 +126,7 @@
 	soclib::caba::IssWrapper<soclib::common::MipsElIss> mips2("mips2", 2);
 	soclib::caba::IssWrapper<soclib::common::MipsElIss> mips3("mips3", 3);
 
-	soclib::common::ElfLoader loader("soft/bin.soft");
+	soclib::common::BinaryFileLoader loader("soft/bin.soft");
 	soclib::caba::VciSimpleRam<vci_param> vcimultiram0("vcimultiram0", IntTab(0), maptab, loader);
 	soclib::caba::VciMultiTty<vci_param> vcitty("vcitty",	IntTab(1), maptab, "vcitty0", NULL);
 	soclib::caba::VciSimhelper<vci_param> vcisimhelper("vcisimhelper",	IntTab(2), maptab);
Index: soclib/platform/topcells/caba-vgmn-multi_timer-microblaze/platform_desc
===================================================================
--- soclib/platform/topcells/caba-vgmn-multi_timer-microblaze/platform_desc	(revision 830)
+++ soclib/platform/topcells/caba-vgmn-multi_timer-microblaze/platform_desc	(working copy)
@@ -10,6 +10,7 @@
 	Uses('caba:vci_pci'),
 	Uses('caba:vci_vgmn'),
 	Uses('caba:vci_xcache'),
+	Uses('common:elf_file_loader'),
 	],
 	cell_size = 4,
 	plen_size = 1,
Index: soclib/platform/topcells/caba-vgmn-multi_timer-microblaze/top.cpp
===================================================================
--- soclib/platform/topcells/caba-vgmn-multi_timer-microblaze/top.cpp	(revision 830)
+++ soclib/platform/topcells/caba-vgmn-multi_timer-microblaze/top.cpp	(working copy)
@@ -92,7 +92,7 @@
    soclib::caba::IssWrapper<soclib::common::MicroBlazeIss> mb2("mb2", 2);
    soclib::caba::IssWrapper<soclib::common::MicroBlazeIss> mb3("mb3", 3);
 
-   soclib::common::ElfLoader loader("soft/bin.soft");
+   soclib::common::BinaryFileLoader loader("soft/bin.soft");
    soclib::caba::VciRam<vci_param> vcimultiram0("vcimultiram0", IntTab(0), maptab, loader);
    soclib::caba::VciMultiTty<vci_param> vcitty("vcitty", IntTab(1), maptab, "vcitty0", "vcitty1", "vcitty2", "vcitty3", NULL);
    soclib::caba::VciPci<vci_param> vcipci0("vcipci0", IntTab(2), maptab, 23);
Index: soclib/platform/topcells/caba-dspinplus-multi_timer-mips32/platform_desc
===================================================================
--- soclib/platform/topcells/caba-dspinplus-multi_timer-mips32/platform_desc	(revision 830)
+++ soclib/platform/topcells/caba-dspinplus-multi_timer-mips32/platform_desc	(working copy)
@@ -10,6 +10,7 @@
 	Uses('caba:vci_multi_tty'),
 	Uses('caba:vci_timer'),
 	Uses('caba:vci_dspinplus_network', dspin_fifo_size = 4, dspin_yx_size = 4),
+	Uses('common:elf_file_loader'),
 	],
 	cell_size = 4,
 	plen_size = 6,
Index: soclib/platform/topcells/caba-dspinplus-multi_timer-mips32/top.cpp
===================================================================
--- soclib/platform/topcells/caba-dspinplus-multi_timer-mips32/top.cpp	(revision 830)
+++ soclib/platform/topcells/caba-dspinplus-multi_timer-mips32/top.cpp	(working copy)
@@ -124,7 +124,7 @@
 	soclib::caba::VciXcacheWrapper<vci_param, soclib::common::Iss2Simhelper<soclib::common::Mips32ElIss> > cache2("cache2", 2, maptab,IntTab(0x10), 4,1,8, 4,1,8);
 	soclib::caba::VciXcacheWrapper<vci_param, soclib::common::Iss2Simhelper<soclib::common::Mips32ElIss> > cache3("cache3", 3, maptab,IntTab(0x11), 4,1,8, 4,1,8);
 
-	soclib::common::ElfLoader loader("soft/bin.soft");
+	soclib::common::BinaryFileLoader loader("soft/bin.soft");
 	soclib::caba::VciSimpleRam<vci_param> vcimultiram0("vcimultiram0", IntTab(0x00), maptab, loader);
 	soclib::caba::VciMultiTty<vci_param> vcitty("vcitty",	IntTab(0x01), maptab, "vcitty0", "vcitty1", "vcitty2", "vcitty3", NULL);
 	soclib::caba::VciTimer<vci_param> vcitimer("vcittimer", IntTab(0x10), maptab, 4);
Index: soclib/platform/topcells/caba-vgmn-multi_timer-mipsel/platform_desc
===================================================================
--- soclib/platform/topcells/caba-vgmn-multi_timer-mipsel/platform_desc	(revision 830)
+++ soclib/platform/topcells/caba-vgmn-multi_timer-mipsel/platform_desc	(working copy)
@@ -11,6 +11,7 @@
 	Uses('caba:vci_timer'),
 	Uses('caba:vci_vgmn'),
 	Uses('caba:vci_xcache'),
+	Uses('common:elf_file_loader'),
 	],
 	cell_size = 4,
 	plen_size = 1,
Index: soclib/platform/topcells/caba-vgmn-multi_timer-mipsel/top.cpp
===================================================================
--- soclib/platform/topcells/caba-vgmn-multi_timer-mipsel/top.cpp	(revision 830)
+++ soclib/platform/topcells/caba-vgmn-multi_timer-mipsel/top.cpp	(working copy)
@@ -143,7 +143,7 @@
 	soclib::caba::IssWrapper<soclib::common::IssSimhelper<soclib::common::MipsElIss> > mips2("mips2", 2);
 	soclib::caba::IssWrapper<soclib::common::IssSimhelper<soclib::common::MipsElIss> > mips3("mips3", 3);
 
-	soclib::common::ElfLoader loader("soft/bin.soft");
+	soclib::common::BinaryFileLoader loader("soft/bin.soft");
 	soclib::caba::VciRam<vci_param> vcimultiram0("vcimultiram0", IntTab(0), maptab, loader);
 	soclib::caba::VciRam<vci_param> vcimultiram1("vcimultiram1", IntTab(1), maptab, loader);
 	soclib::caba::VciMultiTty<vci_param> vcitty("vcitty",	IntTab(2), maptab, "vcitty0", "vcitty1", "vcitty2", "vcitty3", NULL);
Index: soclib/platform/topcells/caba-vgmn-fir-tms320c62/platform_desc
===================================================================
--- soclib/platform/topcells/caba-vgmn-fir-tms320c62/platform_desc	(revision 830)
+++ soclib/platform/topcells/caba-vgmn-fir-tms320c62/platform_desc	(working copy)
@@ -10,6 +10,7 @@
 	Uses('caba:vci_xcache'),
 	Uses('caba:vci_locks'),
 	Uses('caba:vci_timer'),
+	Uses('common:elf_file_loader'),
 	],
 	cell_size = 4,
 	plen_size = 1,
Index: soclib/platform/topcells/tlmt-vgmn-test-simple_initiator/platform_desc
===================================================================
--- soclib/platform/topcells/tlmt-vgmn-test-simple_initiator/platform_desc	(revision 830)
+++ soclib/platform/topcells/tlmt-vgmn-test-simple_initiator/platform_desc	(working copy)
@@ -8,6 +8,7 @@
 	Uses('tlmt:vci_simple_target'),
 	Uses('tlmt:vci_vgmn'),
 	Uses('tlmt:vci_ram'),
+	Uses('common:elf_file_loader'),
 	],
 	addr_t = 'uint32_t',
 	data_t = 'uint32_t',
Index: soclib/platform/topcells/tlmt-vgmn-test-simple_initiator/top.cpp
===================================================================
--- soclib/platform/topcells/tlmt-vgmn-test-simple_initiator/top.cpp	(revision 830)
+++ soclib/platform/topcells/tlmt-vgmn-test-simple_initiator/top.cpp	(working copy)
@@ -15,7 +15,7 @@
 	/////////////////////////////////////////////////////////////////////////////
 	// SOFT 
 	/////////////////////////////////////////////////////////////////////////////
-	soclib::common::ElfLoader loader("soft/bin.soft");
+	soclib::common::BinaryFileLoader loader("soft/bin.soft");
   
 	/////////////////////////////////////////////////////////////////////////////
 	// MAPPING TABLE 
Index: soclib/platform/topcells/caba-vgmn-framebuffer-nios2f/platform_desc
===================================================================
--- soclib/platform/topcells/caba-vgmn-framebuffer-nios2f/platform_desc	(revision 830)
+++ soclib/platform/topcells/caba-vgmn-framebuffer-nios2f/platform_desc	(working copy)
@@ -11,6 +11,7 @@
         Uses('caba:vci_timer'),
         Uses('caba:vci_vgmn'),
 #        Uses('caba:vci_xcache'),
+		Uses('common:elf_file_loader'),
         ],
         cell_size = 4,
         plen_size = 6,
Index: soclib/platform/topcells/caba-vgmn-framebuffer-nios2f/top.cpp
===================================================================
--- soclib/platform/topcells/caba-vgmn-framebuffer-nios2f/top.cpp	(revision 830)
+++ soclib/platform/topcells/caba-vgmn-framebuffer-nios2f/top.cpp	(working copy)
@@ -99,7 +99,7 @@
 
 //   soclib::caba::IssWrapper<soclib::common::Nios2fIss> nios2("nios2", 0);
 
-  soclib::common::ElfLoader loader("soft/bin.soft");
+  soclib::common::BinaryFileLoader loader("soft/bin.soft");
   soclib::caba::VciRam<vci_param> vciram0("vciram0", IntTab(0), maptab, loader);
   soclib::caba::VciRam<vci_param> vciram1("vciram1", IntTab(1), maptab, loader);
   soclib::caba::VciMultiTty<vci_param> vcitty("vcitty",	IntTab(2), maptab, "vcitty0", NULL);
Index: soclib/platform/topcells/caba-vgmn-vcache2_memcache-mipsel/platform_desc
===================================================================
--- soclib/platform/topcells/caba-vgmn-vcache2_memcache-mipsel/platform_desc	(revision 830)
+++ soclib/platform/topcells/caba-vgmn-vcache2_memcache-mipsel/platform_desc	(working copy)
@@ -9,6 +9,7 @@
 	Uses('vci_multi_tty'),
 	Uses('vci_vgmn'),
 	Uses('vci_mem_cache'),
+		Uses('common:elf_file_loader'),
 	],
 	cell_size = 4,
 	plen_size = 8,
Index: soclib/platform/topcells/caba-vgmn-vcache2_memcache-mipsel/top.cpp
===================================================================
--- soclib/platform/topcells/caba-vgmn-vcache2_memcache-mipsel/top.cpp	(revision 830)
+++ soclib/platform/topcells/caba-vgmn-vcache2_memcache-mipsel/top.cpp	(working copy)
@@ -109,7 +109,7 @@
 	// TGT 3 : memc_tgt
 	// TGT 4 : proc_tgt
 
-	soclib::common::ElfLoader loader("soft/bin.soft");
+	soclib::common::BinaryFileLoader loader("soft/bin.soft");
 
 	soclib::caba::VciCcVCacheWrapper2<vci_param, proc_iss > 
 	//proc("proc", 0, maptab,IntTab(0),IntTab(4),4,64,16,4,64,16);
Index: soclib/platform/topcells/caba-vgmn-boot-arm966/platform_desc
===================================================================
--- soclib/platform/topcells/caba-vgmn-boot-arm966/platform_desc	(revision 830)
+++ soclib/platform/topcells/caba-vgmn-boot-arm966/platform_desc	(working copy)
@@ -12,6 +12,7 @@
 	Uses('caba:vci_timer'),
 	Uses('caba:vci_vgmn'),
 	Uses('caba:vci_xcache'),
+	Uses('common:elf_file_loader'),
 	],
 	cell_size = 4,
 	plen_size = 1,
Index: soclib/platform/topcells/caba-vgmn-boot-arm966/top.cpp
===================================================================
--- soclib/platform/topcells/caba-vgmn-boot-arm966/top.cpp	(revision 830)
+++ soclib/platform/topcells/caba-vgmn-boot-arm966/top.cpp	(working copy)
@@ -141,7 +141,7 @@
 
 	soclib::caba::IssWrapper<soclib::common::ARM966Iss> arm0("arm0", 0);
 
-	soclib::common::ElfLoader loader("soft/bin.soft");
+	soclib::common::BinaryFileLoader loader("soft/bin.soft");
 	soclib::caba::VciRam<vci_param> 
 		vcimultiram0("vcimultiram0", IntTab(0), maptab, loader);
 	soclib::caba::VciRam<vci_param> 
